Crazy Eddies GUI System: CEGUI::OpenGLTexture Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# CEGUI::OpenGLTexture Class Reference

Texture class that is created by OpenGLRenderer objects. More...

Inheritance diagram for CEGUI::OpenGLTexture:

[legend]
Collaboration diagram for CEGUI::OpenGLTexture:

[legend]
List of all members.

## Public Member Functions
virtual ushort | getWidth (void) const
| Returns the current pixel width of the texture.
virtual ushort | getHeight (void) const
| Returns the current pixel height of the texture.
virtual void | loadFromFile (const String &filename, const String &resourceGroup)
| Loads the specified image file into the texture. The texture is resized as required to hold the image.
virtual void | loadFromMemory (const void *buffPtr, uint buffWidth, uint buffHeight)
| Loads (copies) an image in memory into the texture. The texture is resized as required to hold the image.
GLuint | getOGLTexid (void) const
| Return a pointer to the internal texture id.
void | setOGLTextureSize (uint size)
| set the size of the internal texture.
void | grabTexture (void)
| Grab the texture to a local buffer. This will destroy the OpenGL texture, and restoreTexture must be called before using it again.
void | restoreTexture (void)
| Restore the texture from the locally buffered copy previously create by a call to grabTexture.
## Friends
Texture * | OpenGLRenderer::createTexture (void)
Texture * | OpenGLRenderer::createTexture (const String &filename, const String &resourceGroup)
Texture * | OpenGLRenderer::createTexture (float size)
void | OpenGLRenderer::destroyTexture (Texture *texture)
## Classes
struct | tImageTGA

## Detailed Description

Texture class that is created by OpenGLRenderer objects.

## Member Function Documentation

virtual ushort CEGUI::OpenGLTexture::getHeight | ( | void |  | ) | const`[inline, virtual]`

| Returns the current pixel height of the texture. Returns: ushort value that is the current height of the texture in pixels Implements CEGUI::Texture.

GLuint CEGUI::OpenGLTexture::getOGLTexid | ( | void |  | ) | const`[inline]`

| Return a pointer to the internal texture id. Returns: Texture id that is loaded

virtual ushort CEGUI::OpenGLTexture::getWidth | ( | void |  | ) | const`[inline, virtual]`

| Returns the current pixel width of the texture. Returns: ushort value that is the current width of the texture in pixels Implements CEGUI::Texture.

void CEGUI::OpenGLTexture::loadFromFile | ( | const String & | filename,
|  | const String & | resourceGroup
| ) | `[virtual]`

  | Loads the specified image file into the texture. The texture is resized as required to hold the image. Parameters:
  | filename | The filename of the image file that is to be loaded into the texture
  | resourceGroup | Resource group identifier passed to the resource provider.
Returns: Nothing. Implements CEGUI::Texture.

void CEGUI::OpenGLTexture::loadFromMemory | ( | const void * | buffPtr,
|  | uint | buffWidth,
|  | uint | buffHeight
| ) | `[virtual]`

  | Loads (copies) an image in memory into the texture. The texture is resized as required to hold the image. Parameters:
  | buffPtr | Pointer to the buffer containing the image data
  | buffWidth | Width of the buffer (in 0xAARRGGBB pixels)
  | buffHeight | Height of the buffer (in 0xAARRGGBB pixels)
Returns: Nothing. Implements CEGUI::Texture.

void CEGUI::OpenGLTexture::setOGLTextureSize | ( | uint | size | ) |

  | set the size of the internal texture. Parameters:
  | size | pixel size of the new internal texture. This will be rounded up to a power of 2.
Returns: Nothing.